Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
make aMSN and other tcl/tk apps use anti-aliased fonts
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
SuperSheep
Tux's lil' helper
Tux's lil' helper


Joined: 06 Apr 2004
Posts: 133
Location: South London, England

PostPosted: Mon Jun 21, 2004 11:38 pm    Post subject: make aMSN and other tcl/tk apps use anti-aliased fonts Reply with quote

I love aMSN and its simplicity but I hate tcl/tk apps, generally because the versions of tcl and tk that are in portage don't build support for nice anti-aliased fonts. Hence, they look ugly and clunky.

1) Unmerge tcl, tk, and optionally, any tcl/tk apps (eg. aMSN)
Code:
emerge -C tcl tk amsn


2) Go here to grab a copy of CVS snapshots of tcl and tk. Save them in your home.

3) Go to your home, and untar the packages.
Code:
tar xvzf tcl-<date> && tar xvzf tk-<date>


4) Become root, and initialise your environment:
Code:
su
source /etc/profile


5) Compile and install tcl:
Code:
cd tcl/unix
./configure --prefix=/usr

make
make install[/code]

6) Compile and install tk with Xft support:
Code:
cd tk/unix
./configure --prefix=/usr --enable-xft
make
make install


7) Inject stubs of these packages into the world file so portage won't overwrite them with the old versions if you call in a tcl/tk app.
Code:
emerge -i dev-lang/tcl-8.3.4
emerge -i dev-lang/tk-8.3.4-r1


8) Make a few symbolic links:
Code:
cd /usr/bin
ln -s wish8.5 wish
ln -s tclsh8.5 tclsh
cd /usr/lib
ln -s tcl8.5 tcl
ln -s tk8.5 tk
ln -s libtk8.5.so libtk.so
ln -s libtcl8.5.so libtcl.so
ln -s libtclstub8.5.a libtclstub.a
ln -s libtkstub8.5.a libtkstub.a
ldconfig


9) Re-emerge aMSN or another tcl/tk app. In aMSN, go into the preferences menu and select a nice anti-aliased font (you might want to search http://packages.gentoo.org for some font packages). Restart aMSN, and bingo!

Thanks to Bamboe for his instructions.
_________________
http://www.bash.org/?65749
Back to top
View user's profile Send private message
vdboor
Guru
Guru


Joined: 03 Dec 2003
Posts: 592
Location: The Netherlands

PostPosted: Tue Jun 22, 2004 8:38 am    Post subject: Reply with quote

If all you need to change is a ./configure option, why wouldn't you suggest a patch for the ebuild? :?
_________________
The best way to accelerate a windows server is by 9.81M/S²
Linux user #311670 and Yet Another Perl Programmer

[ screenies | Coding on KMess ]
Back to top
View user's profile Send private message
SuperSheep
Tux's lil' helper
Tux's lil' helper


Joined: 06 Apr 2004
Posts: 133
Location: South London, England

PostPosted: Tue Jun 22, 2004 5:43 pm    Post subject: Reply with quote

As far as I know, this option only exists in the CVS versions of tcl/tk. I haven't looked into it, but now I will. Thanks.
_________________
http://www.bash.org/?65749
Back to top
View user's profile Send private message
pagal
n00b
n00b


Joined: 17 Feb 2003
Posts: 59

PostPosted: Tue Jun 29, 2004 5:51 pm    Post subject: Reply with quote

any updates on this? any chances of an ebuild?
thanks.
Back to top
View user's profile Send private message
SuperSheep
Tux's lil' helper
Tux's lil' helper


Joined: 06 Apr 2004
Posts: 133
Location: South London, England

PostPosted: Sat Jul 03, 2004 10:11 am    Post subject: Reply with quote

I was going to get started on it, then <laughs> my hard drive died on me. I've spent the last few weeks trying to get my system back into working order. Your post has reminded me about it though.
_________________
http://www.bash.org/?65749
Back to top
View user's profile Send private message
lokojones
Tux's lil' helper
Tux's lil' helper


Joined: 29 Feb 2004
Posts: 131
Location: Canary Islands, Spain.

PostPosted: Thu Jul 08, 2004 8:17 pm    Post subject: umh Reply with quote

something about the inject... when a new version of tcl or tk apperas in the portage and we do a emerge -uD world, portage will download it.. can we do something for this?
_________________
Pure Gentoozo :)
Back to top
View user's profile Send private message
FGA
Apprentice
Apprentice


Joined: 07 Apr 2004
Posts: 179

PostPosted: Wed Aug 25, 2004 7:48 am    Post subject: Re: umh Reply with quote

lokojones wrote:
something about the inject... when a new version of tcl or tk apperas in the portage and we do a emerge -uD world, portage will download it.. can we do something for this?


Yes, you can add this to /etc/portage/package.mask (create the dir if it not exists)

Code:
# echo "<>dev-lang/tcl-8.3.4" >> /etc/portage/package.mask
# echo "<>dev-lang/tk-8.3.4-r1" >> /etc/portage/package.mask


The versions are the same than when we did emerge -i (the 7th)
Then, when you do an emerge -u world, versions smaller than and bigger than those will be masked and portage won't upgrade them.

Sorry my english :roll:
Back to top
View user's profile Send private message
lokojones
Tux's lil' helper
Tux's lil' helper


Joined: 29 Feb 2004
Posts: 131
Location: Canary Islands, Spain.

PostPosted: Wed Aug 25, 2004 8:55 am    Post subject: Reply with quote

Don't worry for your english.. yo tb soy español xDD
Umh, I removed tcl/tk cvs from my computer, because I got some problems in aMsn.. for example, it didnt autoscroll for me :(
Is there any way to do this with unstable ebuild of them?
_________________
Pure Gentoozo :)
Back to top
View user's profile Send private message
Bamboe
n00b
n00b


Joined: 13 Nov 2002
Posts: 47
Location: Kontich (Belgium)

PostPosted: Fri Sep 10, 2004 9:37 am    Post subject: Reply with quote

Hello all,

I just wanted to point out that the instructions above (which are derived from the ones I posted originally in another thread) are certainly not the easiest!

The trick with the symbolic links and the insertion of stub ebuilds is not needed if you make a little change to the main amsn tcl script.
So here are some new instructions to get it working:

1) Go here and grab a copy of CVS snapshots of tcl and tk. Save them in your home.

2) Go to your home, and untar the packages.
Code:

tar xvzf tcl-<date> && tar xvzf tk-<date>


3) Become root, and initialise your environment:
Code:

su
source /etc/profile


4) Compile and install tcl:
Code:

cd tcl/unix
./configure --prefix=/usr && make && make install


5) Compile and install tk with Xft support:
Code:

cd ../../tk/unix
./configure --prefix=/usr --enable-xft && make && make install


6) Run ldconfig:
Code:

ldconfig


6) Edit your amsn main script (/usr/bin/amsn I guess, don't know for sure when gentoo puts this by default), and change the first line from
Code:

#!/usr/bin/env wish

to
Code:

#!/usr/bin/env wish8.5


That's it, the main advantage is that you don't have to do anything with your old tcl/tk installation and that both the old stable as the new unstable tcl/tk can happily coexist on the same machine. This means that there will be no problems when a new stable build of the 8.4 branch shows up in portage, you can safely update it without affecting the cvs version (which is the 8.5 development branch).
So other tcl/tk apps (like the linux 2.4.x xconfig dialog) keep using the stable tcl/tk version while amsn can use the unstable version with truetype anti-aliased fonts.
The only disadvantage is that you have to edit the amsn script each time a new version of amsn comes out.


Last edited by Bamboe on Wed Sep 29, 2004 11:30 am; edited 2 times in total
Back to top
View user's profile Send private message
lokojones
Tux's lil' helper
Tux's lil' helper


Joined: 29 Feb 2004
Posts: 131
Location: Canary Islands, Spain.

PostPosted: Tue Sep 21, 2004 1:54 pm    Post subject: Reply with quote

Hey, you made some mistakes writing the commands.. its ./configure --prefix=/usr and &&, not & :P
_________________
Pure Gentoozo :)
Back to top
View user's profile Send private message
Bamboe
n00b
n00b


Joined: 13 Nov 2002
Posts: 47
Location: Kontich (Belgium)

PostPosted: Tue Sep 28, 2004 6:11 pm    Post subject: Reply with quote

You are right, I fixed it, thanks!
Back to top
View user's profile Send private message
lokojones
Tux's lil' helper
Tux's lil' helper


Joined: 29 Feb 2004
Posts: 131
Location: Canary Islands, Spain.

PostPosted: Tue Sep 28, 2004 8:59 pm    Post subject: Reply with quote

this is much better than overwriting old tcl/tk.. but still one problem Why doesnt amsn autoscroll work in conversations? it not very nice to scroll down every word :p
How did u fix it?
_________________
Pure Gentoozo :)
Back to top
View user's profile Send private message
FGA
Apprentice
Apprentice


Joined: 07 Apr 2004
Posts: 179

PostPosted: Tue Sep 28, 2004 9:57 pm    Post subject: Reply with quote

lokojones, the autoscrolling bug is now fixed in cvs, you can download the cvs tarball: http://amsn.sf.net/amsn_cvs.tar.gz, or you can wait the next version 0.94, wich probably will be released this weekend.

(Español) Que te puedes bajar la versión cvs, que ya está arreglado, o esperarte a la 0.94 que está previsto que salga este fin de semana según se está hablando en la lista de correo.
Back to top
View user's profile Send private message
khud
n00b
n00b


Joined: 29 Sep 2004
Posts: 33
Location: Valencia - Spain

PostPosted: Thu Nov 04, 2004 12:32 am    Post subject: Reply with quote

Wow, my amsn now looks sooooo neat 8)
Thank's for this thread people. By the way, if there is a cvs binary distributed on their web, why not an ebuild? maybe amsn-bin-cvs? :?
_________________
Antes morir de pie que vivir de rodillas.
Back to top
View user's profile Send private message
Kaydo
n00b
n00b


Joined: 12 Sep 2004
Posts: 1

PostPosted: Thu Mar 03, 2005 10:03 pm    Post subject: Reply with quote

Thanks :D
Could this be added to the gentoo-wiki?
Back to top
View user's profile Send private message
vash-stampeed
n00b
n00b


Joined: 05 May 2004
Posts: 25
Location: Montemorelos, NL, México.

PostPosted: Sat Apr 02, 2005 7:45 pm    Post subject: Reply with quote

Hi there!
I'd like to know how can I remove the cvs version of tcl and tk from my system? cuz for what I can percieve, it just made my fonts to look quite ugly, at least more ogly than before.
Anyway, thanks in advance for whoever replay.

Vash

PD. I use KDE 3.3.2
Back to top
View user's profile Send private message
DarkMind
Guru
Guru


Joined: 18 Dec 2003
Posts: 525
Location: Santiago, Chile

PostPosted: Sun Apr 03, 2005 7:13 pm    Post subject: Reply with quote

when i open a chat windows appear a progress bar (for each image, a progress bar = to somebody is sending a file) :?


why? :?
Back to top
View user's profile Send private message
trINItr0n_
n00b
n00b


Joined: 05 Feb 2004
Posts: 44
Location: Belgium::Leuven

PostPosted: Mon May 16, 2005 1:37 pm    Post subject: Reply with quote

hi,

i tried to make ebuilds for this, the amsn-cvs and tcl work for me but tk doesnt..

if anyone with some more experience could take a loot at it, that would be nice,

tnx

http://www.defloo.be/stuff/amsn-cvs-3000.ebuild
http://www.defloo.be/stuff/tcl-8.5.0.ebuild

http://www.defloo.be/stuff/tk-8.5.0.ebuild <--
Back to top
View user's profile Send private message
trINItr0n_
n00b
n00b


Joined: 05 Feb 2004
Posts: 44
Location: Belgium::Leuven

PostPosted: Mon May 16, 2005 2:46 pm    Post subject: Reply with quote

I didnt succeed to install the cvs-amsn version with tcl and tk 8.5 either (installed manually with instructions above).

Emerge stops with this error message:
Quote:
gcc -pipe -shared -fPIC webcamsn.o -L./ -lmimic -L/usr/lib/tcl8.4 -ltclstub8.4 -L/usr/lib/tk8.4 -ltkstub8.4 -o webcamsn.so && cp webcamsn.so ../
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu/bin/ld: cannot find -ltclstub8.4
collect2: ld returned 1 exit status
make: *** [webcamsn.so] Error 1


Note that the linker still tries to inlcude 8.4 libs, i uninstalled all 8.4 versions though ..

I guess ill go back to 8.4 then :s

Hope someone can make that tk8.5 ebuild work .. or better .. maybe a qt-amsn might emerge, from amsn.sf.net :
Quote:
.. A gui and protocol abstaction that will allow the possibility of having more than one gui and multiprotocol ...
Back to top
View user's profile Send private message
Da Fox
Guru
Guru


Joined: 06 Jul 2005
Posts: 340

PostPosted: Fri Jul 29, 2005 9:52 pm    Post subject: Reply with quote

Just a little tip: if after following Bamboe's guide you just go to /usr/bin and remove the symlink 'wish' to wish8.4 and make one that points to wish8.5 all apps that use wish will use the new version + you don't have to edit aMSN files :)
_________________
"Man fears the darkness, and so he scrapes away at the edges of it with fire."
- Rei Ayanami

JGBE, a Java based GameBoy Emulator
Back to top
View user's profile Send private message
j_c_p
Apprentice
Apprentice


Joined: 30 Aug 2003
Posts: 296
Location: France - Colmar

PostPosted: Thu Aug 11, 2005 7:10 pm    Post subject: Reply with quote

You can look at the following topic thread too : https://forums.gentoo.org/viewtopic-p-2642329.html#2642329
_________________
Lian Li PC60 - AMD Phenom II X6 1100T BE - Asrock 990FX EXTREME9 - MSI 260GTX+ - M-Audio Delta Audiophile 24/96
Kernel 3.12.5 KDE 4.11.4 GCC 4.8.2 x86_64 12/14/2013
Back to top
View user's profile Send private message
ashrobo
n00b
n00b


Joined: 11 Aug 2004
Posts: 18
Location: Singapore

PostPosted: Sun Oct 30, 2005 4:25 am    Post subject: Reply with quote

I was using the cvs-amsn version with tcl8.4 and tk8.4, and decided to try out tk8.5 and tcl8.5 just to get AA working. I did a successful install of the two libraries but after changing "exec wish $0" in /usr/share/amsn/amsn to "exec wish8.5 $0", I got a segmentation fault from running it. Reason being I've configured the cvs-amsn to use tcl8.4 and tk8.4.

Just want to put a note here in case someone has the same problem.
Get the cvs-amsn version if you haven't, unzip it and
Code:
./configure --with-tcl=/usr/lib --with-tk=/usr/lib && make

Be sure to change "exec wish $0" in /usr/share/amsn/amsn (or wherever you installed it) to "exec wish8.5 $0"
Back to top
View user's profile Send private message
bushwakko
Guru
Guru


Joined: 25 Mar 2003
Posts: 495

PostPosted: Thu Dec 01, 2005 6:57 pm    Post subject: Reply with quote

still no ebuilds? should be made! why not contact the maintainer of the regular tcl and tk ebuilds and have him make one of the alpha's with the -* keyword of hardmasked or something?
_________________
Macbook Pro 15"
Core 2 Duo 2,33ghz
2gb Ram
ATI Mobility x1600 256mb
Back to top
View user's profile Send private message
Nephren-Ka
n00b
n00b


Joined: 10 Jun 2002
Posts: 63
Location: Melbourne, Australia

PostPosted: Fri Dec 30, 2005 8:05 am    Post subject: Reply with quote

bushwakko wrote:
still no ebuilds? should be made! why not contact the maintainer of the regular tcl and tk ebuilds and have him make one of the alpha's with the -* keyword of hardmasked or something?


Taken care of, see here https://forums.gentoo.org/viewtopic-t-417673-highlight-amsn.html
Back to top
View user's profile Send private message
HTS
Guru
Guru


Joined: 20 Feb 2006
Posts: 395
Location: Bristol, UK

PostPosted: Tue Jun 13, 2006 10:38 pm    Post subject: Reply with quote

Only the very first method with the stubs worked for me.
The ebuilds fail because of the 3.1 bash and I don't want to downgrade to 3.0... :P

A few updates though,
The link for the nightly CVS has changed and is now ftp://ftp.tcl.tk/pub/tcl/nightly-cvs/
Also, the use of stubs is deprecated and is no longer done by emerge -i <whatever>

The post should be updated with the following method:
add the stubs in /etc/make.profile/package.provided

Write what follows in the file /etc/make.profile/package.provided
Code:
dev-lang/tcl-8.4.9
dev-lang/tk-8.4.9

Cheers,
HTS

Edit: huh... aMSN lauches correctly and can use the AA fonts, however, it can't locate the TLS Module... and no matter what I do to set the path in the options I can't connect. I switched back to the Ugly fonts with tcl and tk 8.4 8O
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum